---
layout: handbook-page-toc
title: Home Page for Support's Baobab Group
description: Home Page for Support's Baobab Group
---

<!-- Search for all occurrences of NAME and replace them with the group's name.
     Search for all occurrences of URL HERE and replace them with the appropriate url -->

# Welcome to the home page of the Baobab group

Introductory text, logos, or whatever the group wants here

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Baobab resources

- Our Slack Channel: [spt_gg_baobab](https://gitlab.slack.com/archives/C03C9DU3ED8)
- Our Team: [Baobab Members](https://gitlab-com.gitlab.io/support/team/sgg.html?search=baobab)
- How to pronounce "baobab": https://www.powbab.com/blogs/news/12638601-how-do-you-pronounce-baobab-tree

## Baobab workflows and processes

Suggestions for improvements to these workflows are encouraged at any time, from any team member! 

# When a new ticket preferred region is not your region

- Follow the global [Assigning a ticket with a different preferred region](/handbook/support/workflows/working-on-tickets.html#assigning-a-ticket-with-a-different-preferred-region) workflow.
- Until another SE has taken assignment, keep the ticket assigned to yourself and continue to work with the customer.
- The following macro can be used for informing a customer that their ticket has been assigned to an engineer outside of their preferred region:

     <details>
       <summary markdown="span">Notify Customer - Current assignee outside of preferred region</summary>

       <p>Just a side note - Your ticket has come through with:</p>

       <p>Preferred region for support: `<preferred_region>`</p>

       <p>I'd originally grabbed this ticket to help move it forward prior to a team member in your preferred region taking assignment of it. I'm within the `<assignee_region>` operating inside the `<UTC +/- ??>` timezone, so it's likely that we'll have some time/availability differences with regards to when we both end up sending responses to each other. With this in mind, from here I can get a `<preferred_region>` based staff member to take assignment of this ticket so that work is performed primarily during a timezone for that region, or I can take full assignment of it and continue from here if you'd prefer. Please let me know how you'd like to proceed in this regard - I'll keep working on it in the meantime.</p>

     </details>
# How to handle HPAR tickets

- Reply if you can or leave an internal comment, especially if the ticket is near breaching, and 
  take assignment of it.
- Make sure to leave a word for the next region to keep an eye on the ticket (in a handover thread on slack), 
  or have other unofficial assignees in other regions. Identify those people and work with them towards resolution.

# How to handle NRTs

- If FRT queue is in a good shape, we can start picking up NRTs.
- Prioritize the tickets that have no assignee or whose assignees are OOO.
- If another SE has done significant work on a ticket (whether assigned or not) and are available, ping them to see
  if they can carry on with it, and offer to pair with them if they are stuck or overloaded.
- When you respond to a ticket assigned to someone on PTO assign it to yourself and CC the original assignee.
- Try to handle the near breaching NRTs first.
- Try to make sure we don't have any > 5 days NRT breaches.
- Reach out to the team for help with tricky ones.

# How to handle tickets before going to PTO

- Follow the global guide on [preparing for time off](https://about.gitlab.com/handbook/support/support-time-off.html#preparing-for-time-off) and [coverage for assigned tickets](https://about.gitlab.com/handbook/support/support-time-off.html).
- Notify the team the day before you start PTO that you are leaving, and thank them in advance for responding to 
any that need it while you are away. 
- All team members should make a note of this to assist with determining whether to respond immediately to an open 
ticket vs. checking with/waiting for the assignee.

# Pairings

**Reminder**: As all GitLab meetings are optional, scheduled sync/pairing sessions are optional as well.
We have a Baobab Zoom room that's used for sync/pairing purposes. The link is pinned in Slack.
You can indicate your presence in the room by creating a thread in the Baobab Slack channel or
by using the Slack huddle button. Remember to mute yourself in Slack!
Maple [has documented](../maple/#using-the-maple-zoom-room) their method of indicating presence
that we can use as a guide.

There is an APAC-friendly weekly sync conversation on Wednesdays at 0400 UTC where we discuss SGG experiences 
and issues ([agenda doc](https://docs.google.com/document/d/1uAIdDPj1Ez58gTrTxz_oBcu1GHQ7yWiDTTiU6ebfz6s/edit#heading=h.plwzgccful3f)).

There are Ticket Crush sessions scheduled at the following times:
  - Wednesdays at 04:00 UTC
  - Thursdays at 04:00 UTC
  - Mondays at 11:00 UTC (EMEA)
  - Wednesdays at 11:00 UTC (EMEA)
  - Tuesdays at 14:30 UTC (EMEA/AMER)
  - Thursdays at 08:00 UTC (APAC/EMEA)

There is also a social chat on Fridays at 10:30 UTC.
